DIAdem NAVIGATOR Settings

Use this dialog box to make basic settings for DIAdem NAVIGATOR.

Settings

External data | Specifies whether DIAdem opens a DataFinder or a data store when DIAdem NAVIGATOR starts.
DataFinder/
Data stores 		Specifies the data store or the DataFinder that DIAdem displays in DIAdem NAVIGATOR when the program starts.
... Opens the dialog box Open DataFinder if you select the setting DataFinder. Opens the dialog box Open Data Store if you select the setting Data store.
Internal data - default file | Specifies which file DIAdem displays in the Data Portal when the program starts.
... Opens the dialog box where you select a default file.
Convert XNET-TDMS channels when loading | Specifies whether DIAdem automatically converts the XNET-TDMS file when loading this file.
DataFinder: Inheritance of the properties | Specifies whether, when loading data from DataFinders, DIAdem also transfers the properties of elements from superordinate levels to the element in the Data Portal. Refer to the page Inheritance of the Properties (DataFinder) for further information.
ASAM Data Store: Inheritance of the properties | Specifies whether DIAdem also transfers the properties of elements from superordinate levels to the element in the Data Portal when loading data from ASAM data stores. Refer to the page Inheritance and Naming of Properties (ASAM Data Stores) for further information.
ASAM Data Store: Name pattern of the properties | Specifies the name pattern of properties after the properties are loaded into the Data Portal. If you load data from an ASAM data store into the Data Portal, DIAdem names the properties in the Data Portal according to these name patterns. Refer to Inheritance and Naming of the Properties (ASAM Data Stores).
Loading bulk data ... Specifies the loading behavior of DIAdem when loading TDM or TDMS files. Refer to the Help page Loading Bulk Data - General for further information.
Note Depending on the loading behavior, saving bulk data may take some time.
Bus Log Converter - Default File | Specifies the name and the path of the configuration file which DIAdem uses to convert Bus Log files.
Convert XNET-TDMS channels when loading | Specifies whether DIAdem automatically converts the XNET-TDMS file when loading this file.
Storage format for TDM files | Defines whether DIAdem specifies the data format for TDM data, or whether DIAdem always saves the data as floating point values with 64 bits. If you use the Automatic setting, DIAdem tries to save channels in the original data format in order to use as little space as possible on the hard drive. For example, if you load a channel from a DIAdem DAT file in the INT16 format, DIAdem checks whether the channel has changed and whether DIAdem can save the modified values in the original Int16 format without losing data.
Note To open this dialog box, select Settings»Options»NAVIGATOR in DIAdem NAVIGATOR.


Insert from File

Use this dialog box to add DAT data channels or DAT data sets to existing DAT data.

Settings

No. | Specifies the number of the data channel.
Name | Specifies the name of the data channel.
Length | Specifies the number of channel values.
Comment | Specifies the comment about the channel contents.
Reduce lines | Specifies that you only load specific values from the data channels.
Line Reduction | Opens the dialog box where you specify the parameters for data reduction.
Load data set properties | Specifies whether DIAdem loads the data set properties from the selected file.
Properties | Opens the dialog box with the properties for the selected data set.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Insert from File»Open.


Line Reduction

Use this dialog box to load specific values from a DAT data channel. A window covers the data channel in steps of a specific interval width and loads one value from each interval.

Settings

Reduction mode | Specifies how DIAdem determines which value to load from an interval.
Reduction channel | Specifies the reduction channel. If the reduction channel contains a value that is greater than zero, DIAdem loads the data from the corresponding row of the selected data channel.
Interval definition | Specifies the parameters for defining the interval.
Start value | Specifies the first data channel value that is loaded.
End value | Specifies the last data channel value that is loaded.
No. of intervals | Specifies the number of intervals.
Interval width | Specifies how many values an interval contains.
X-channel | Specifies which data channel contains the values to be loaded when you select a reduction channel.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Insert from File»Open»Line Reduction.


Data Set Properties

Use this dialog box to view the properties of a DAT data set. The data properties contain information that the user enters and information that DIAdem creates.

Settings

Data set title | Specifies the name of the data set.
No. | Specifies the number of the comment.
Name | Specifies the name of the comment.
Comment | Specifies the comment about the data set.
Author | Specifies the author of the data set.
Storage date | Specifies the storage date of the data set.
Storage time | Specifies the time the data set is saved.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Insert from File»Open»Properties.


Import via Header

Use this dialog box to load, generate, save, and delete the channel properties for importing external data.

Settings

Name | Specifies the names of the channels.
Comment | Specifies the comment about the channel.
Execute | Loads data into the Data Portal
Load | Opens the dialog box where you load a header file.
Save As | Opens the dialog box where you save the header file with a new name.
Generate | Opens the dialog box where you generate channel properties.
Edit | Opens the dialog box where you edit channel properties.
Properties | Opens the dialog box where you specify the data set properties.
Delete | Deletes the selected channel properties.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Import via Header.


Generating Channel Properties

Use this dialog box to create the channel properties for a DAT data store.

Settings

Number of channels to be generated | Specifies how many channels to generate.
Number of values per channel | Specifies the number of values for each channel.
Name | Specifies the names of the channels.
Comment | Specifies the comment about the channels.
Data type | Specifies whether DIAdem creates explicit channels or implicit channels.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Import via Header»Generate.


Explicit Channels

Use this dialog box to specify the settings for generating explicit DAT data when you import via header.

Note Explicit data is available as individual values in a data channel. When saving implicit data, DIAdem only saves the generating specifications.

Settings

Data display mode | Specifies whether DIAdem generates the data in the time format or as numeric data.
Offset | Specifies the value that DIAdem adds to the generated data.
Factor | Specifies the value that DIAdem multiplies the generated data by.
Name of the data file | Specifies the name of the file that contains the generated data.
Position of first channel value | Specifies which line in the data file contains the first value.
Storage mode | Specifies whether the data is in channels or blocks.
Data type | Specifies the data type of the channel data.
Records to be skipped | Specifies the offset between two values in a channel.
Decimal separator character | Specifies the decimal character for the data file if you select the ASCII data type.
Exponent character | Specifies the exponent character for the data file if you select the ASCII data type.
Local ASCII pointer | Specifies which value of each line belongs to a channel, if you select the ASCII data type and the Block storage mode.
Separator | Specifies the separator for the data file if you select the ASCII data type and the Block storage mode.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Import via Header»Generate»Next.


Implicit Channels

Use this dialog box to specify the settings for generating implicit DAT channels when you import via header.

Note DIAdem uses the start value and the difference between two successive values to define implicit channels. When saving implicit channels, DIAdem only saves the parameters of the generation specifications.

Settings

Display mode | Specifies whether the channel is in time format or in numeric format.
Start value | Specifies the first value of the channel.
Step width | Specifies the difference between two successive values.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Import via Header»Generate»Next.


Editing Channel Properties

Use this dialog box to edit the channel properties of the DAT files when you import via the header.

Settings

No. | Specifies the number of the current channel properties.
Name | Specifies the name of the data channel.
Comment | Specifies the comment about the channel.
Data type | Specifies whether a channel is implicit or explicit.
Display mode | Specifies whether the channel is in time format or in numeric format.
Storage mode | Specifies whether the data is in channels or blocks.
Name of the data file | Specifies the name of the file that contains the data to be imported.
Data type | Specifies the data type of the channel data.
No. of values | Specifies the length of the channel.
Start value/ Offset | Specifies the start value or the offset of a channel.
Step width/ Factor | Specifies the value that DIAdem either adds to the start value, or which DIAdem multiplies the data by.
Position of first channel value | Specifies which line in the data file contains the first value.
Positional offset between values | Specifies the number of values between two values in a channel.
Local ASCII pointer | Specifies which value of a line belongs to a channel if you select the ASCII data type and the Block storage mode.
Separator | Specifies the separator for a Dat file if you select the ASCII data type and the Block storage mode.
Decimal separator character | Specifies the decimal separator for the data file if you select the ASCII data type.
Exponent character | Specifies the exponential separator for the data file if you select the ASCII data type.
Note Instead of the separator, you also can enter the associated ASCII code, for example, 32 for a blank, 9 for a tabulator, or 47 for a slash. Enter CRLF for the separator Cr/Lf.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Import via Header»Edit.


Data Set Properties

Use this dialog box to create the properties of a DAT data set when you import via header.

Settings

Title | Specifies the name of the data set.
Author | Specifies the author of the data set.
No. | Specifies the number of the comment.
Name | Specifies the name of the comment.
Comment | Specifies the comment about the data set.
NoValue in the file | Specifies the NoValue value.
Format of the time channels (ASCII file) | Specifies the format for the time channels.
Byte order (binary file) | Specifies the order of the bytes in binary files.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Import via Header»Properties.


Settings for DIAdem DAT Files

Use this dialog box to specify the parameters for DIAdem DAT files.

Settings

Maximum number of channels | Specifies the maximum number of channels that DIAdem can read from a DAT file and can edit.
Storage mode | Specifies whether DIAdem saves the data in columns or rows.
Data type | Specifies which data type DIAdem saves the data in.
File coding | Specifies the coding procedure for DIAdem Dat data files. The default setting is the Unicode format. If you delete the internal data or load a DAT file, this setting changes. If you need a specific file coding, you should check the setting every time you save a DAT file.
Real format | Specifies the format of floating point values for ASCII block storage.
Integer length | Specifies the length for integer values in ASCII block storage.
Delimiter | Specifies the delimiter for ASCII block storage.
Check implicit data | Specifies whether DIAdem checks all implicit data channels.
Check integer data | Specifies whether DIAdem checks all data channels with integer values.
Note To open this dialog box in DIAdem NAVIGATOR, select File»DAT Files»Settings.


Open

Use this dialog box to load data sets.

Settings

Filename | Specifies the name of the data set.
Files of type | Specifies the file type of the data set.
Load | Loads the entire data set.
Register | Registers the channels of the data set.
Selective Opening | Loads the selected channels of the data set.
Data Reduction | Loads data reduced. A window covers the data channel in steps of a specific interval width and loads one value from each interval.
Note To open this dialog box in DIAdem NAVIGATOR, select File»Open.
Note The only DataPlugins you can develop yourself or edit in the Properties dialog box are VBS DataPlugins. If the DataPlugin is a different type you can use the Properties dialog box to add filename extensions to this DataPlugin. Visit the DataPlugin Web site for current documentation on how to create and add DataPlugins to DIAdem and to the DIAdem DataPlugin interface.


Open With

Use this dialog box to specify the loader and to load or to register a data set. For example, you can load ASCII files with the ASCII import filter.

Settings

Loader | Specifies the loader.
File extensions | Specifies the filename extensions for the loader.
Display only Plugins with same extension | Specifies whether DIAdem displays all loaders or only the loaders in which the DataPlugins have the selected file extension.
Load | Loads the data set.
Register | Registers the data set.
Selective Opening | Opens the selected channels of the data set or registers the selected channels of the data set.
Data Reduction | Loads data reduced. A window covers the data channel in steps of a specific interval width and loads one value from each interval.
Find | Opens the dialog box where you can download a loading method from the NI DataPlugin website.
Wizard | Opens the Text DataPlugin Wizard or the Excel DataPlugin Wizardt that you use to create a new DataPlugin.
Note You open this dialog box in the context menu of a file in DIAdem NAVIGATOR.


Selective Opening

Use this dialog box to load individual channels of a data set.

Settings

External Data | Displays the data set and the channels for selective loading. Select the channels to be loaded.
Load | Loads the selected channels of the data set.
Register | Registers the selected channels of the data set.
Data Reduction | Loads data reduced. A window covers the data channel in steps of a specific interval width and loads one value from each interval.
Note To open this dialog box in DIAdem NAVIGATOR, select File»Open»Selective Opening.


Browser Settings

Use this dialog box to limit the amount of data that DIAdem NAVIGATOR displays. This speeds up the data display.

Settings

Limit number of objects | Specifies that DIAdem only displays a limited amount of data.
Max. read count | Specifies the maximum amount of data to display.
Note You can open this dialog box in the context menu of a data store in DIAdem NAVIGATOR.


Set Filter Parameters

Use this dialog box to filter the display of server-based data in the Navigator tree. A grey rectangle with a green point in front of the object type indicates that the filter is enabled.

Settings

Extend List / Reduce List | Extends or reduces the list of object types.
Object Types | Specifies the object types you want to filter. DIAdem only displays the object types that belong to a data store.
Extend List / Reduce List | Extends or reduces the list of object properties.
Object Properties | Specifies the property that DIAdem filters.
Operator | Specifies the operator that DIAdem filters with.
Operand | Specifies the operand that DIAdem filters with.
Combine parameters | Specifies that DIAdem uses the filter settings on all object types.
Case-sensitive | Specifies that DIAdem filters case-sensitively.
Filter file | Specifies the filter file.
Load | Loads filter settings. Filter settings have the filename extension .tsf.
Save As | Opens the dialog box where you specify the name of the file in which DIAdem saves the filter settings.
Reset | Resets all the filter settings.
Note If you use the equals sign (=) as the operator you can use a wildcard as the operand for text attributes. Use a question mark (?) as a wildcard for one character, and an asterisk (*) as a wildcard for any number of characters. You cannot use these wildcards for other operators.
Note If you set several filters for one object type, DIAdem filters with all the set filter settings simultaneously.
Note If you change the settings saved in a filter file and click OK to close the dialog box, DIAdem overwrites the filter file with the new settings regardless of the settings you saved previously via Save As in the filter file.


Data Store Properties - [AOP via CORBA]

Use this dialog box to specify the parameters for connecting an AOP5 server via CORBA.

Settings

Connection type | Specifies the type of connection.
Server | Specifies the name of the AOP5 server.
Port | Specifies the port.
URL | Specifies the address of the AOP5 server.
User | Specifies the user of the AOP5 server.
Password | Specifies the user password.
Save password | Specifies that DIAdem saves the password encrypted. If you save the password, you can reopen the data store without entering the password.
... | Opens the dialog box where you search for an address.
Extended | Opens the dialog box where you can make additional settings.

NoteYou also can open a data store by entering an XML string. For example, press the key combination <Ctrl-Shift-A> in the dialog boxes Data Stores - Settings or New Data Store to generate this XML string for the data store. Then open DIAdem SCRIPT and insert the clipboard contents with <Ctrl-V> into a script in order to get the string.

Note To open this dialog box in DIAdem NAVIGATOR, select Settings»Data Stores»Create Data Store»AOP5. You must down load the respective DataPlugin from the National Instruments DataPlugin Website.


Data Store Properties - [AOP via RPC]

Use this dialog box to specify the parameters for connecting an AOP server.

Settings

User | Specifies the user of the AOP server.
Password | Specifies the user password.
Server | Specifies the name of the AOP server.
RPC | Specifies the RPC number of the AOP server.
Server version | Specifies the version of the AOP server.
Save password | Specifies that DIAdem saves the password encrypted. If you save the password, you can reopen the data store without entering the password.
Extended | Opens the dialog box where you specify the flag for valid channel values.

NoteYou also can open a data store by entering an XML string. For example, press the key combination <Ctrl-Shift-A> in the dialog boxes Data Stores - Settings or New Data Store to generate this XML string for the data store. Then open DIAdem-SCRIPT and insert the clipboard contents with <Ctrl-V> into a script in order to get the string.

Note You also can call an AOP server with the OdsAopOpen command.
Note To open this dialog box in DIAdem NAVIGATOR, select Settings»Data Stores»Create Data Store»AOP.
Note If a AVL PUMA server has enabled PUMA security, you must specify the name of the project and the user. Separate the project name from the user with a colon, for example, Project name:user.


Data Store Properties [Citadel 4, Citadel 5, and VI Logger 2]

Use this dialog box to specify the parameters for connecting a Citadel database. Use Citadel data stores to directly access databases that were generated with LabVIEW Datalogging and Supervisory Control or Lookout 6.x.

Settings

Computer | Specifies which computer the Citadel database is on. If the Citadel database is on the local computer, you must enter localhost as the computer name.
... (Computer) | Opens the dialog box where you search for a computer.
Folder | Specifies which folder the Citadel database is in.
... (Folders) | Opens the dialog box where you search for a folder.
Database | Specifies the Citadel database.
Time interval enable | Specifies that the server only provides data from the specified time interval.
Start time | Specifies the start time of the interval.
End time | Specifies the end time of the interval.
Subintervals | Specifies that DIAdem divides the time interval into subintervals.
Interval width (sec) | Specifies the size of the subintervals for the values of the Citadel database in seconds.
Calculations enable | Specifies that the Citadel database provides calculated data and not the data from the database.
Interval width (sec) | Specifies the size of the subintervals for calculated values in seconds.
Interpolation (Citadel 5) | Specifies the type of interpolation
Interpolation | Specifies that DIAdem runs linear interpolation on the values in the calculation interval.
Minimum | Specifies that DIAdem calculates the minimum in the calculation interval.
Maximum | Specifies that DIAdem calculates the maximum value in the calculation interval.
Mean value | Specifies that DIAdem calculates the mean value in the calculation interval.
Standard deviation | Specifies that DIAdem calculates the standard deviation in the calculation interval.
... (Database) | Opens the dialog box where you search for a database.
Note The second function group in DIAdem NAVIGATOR offers direct access to data stores that were generated with NI LabVIEW Datalogging and Supervisory Control Module and NI Lookout. If you want to access data stores of earlier product versions, proceed as follows:

  1. Delete the default data store you want to replace, in the data store manager, for example, 'Default LabVIEW DSC Module'.

  2. Generate a new data store with the same name (for example 'Default LabVIEW DSC Module') for the matching data store type. In the following table you can find information about which data store type supports which product version:

Data store type | Product version
Citadel 4 | LabVIEW Datalogging and Supervisory Control Module 6.xx and Lookout 4.xx and 5.xx
Citadel 5 | LabVIEW Datalogging and Supervisory Control Module 7.x and Lookout 6.x
VI Logger 2 | VI Logger 2.x

Note To access data stores from NI VI Logger, NI Lookout, or the NI LabVIEW Datalogging and Supervisory Control modules, you require the appropriate software components which are installed by default with the described NI products. If you want to access Citadel 5 data stores but you do not have any of these NI products installed on your DIAdem computer, you must install the Lookout Webclient in addition to DIAdem. You can download the Lookout Webclient at Citadel5 DataPlugin.

Note To open this dialog box in DIAdem NAVIGATOR, select Settings»Data Stores»Create Data Store»Citadel4/5.


Data Store Properties [SQL]

Use this dialog box to specify the parameters for connecting a SQL database.

Settings

Connection type | Specifies which provider the SQL Plugin uses.
Database | Specifies the type of database.
Server | Specifies which server the database is on.
File | Specifies the name and the path of the database.
User | Specifies the user name.
Password | Specifies the user password.
Save password | Specifies that DIAdem saves the password encrypted. If you save the password, you can reopen the data store without entering the password.
ADO connection | You can enter an "Open call" command in the Microsoft ADO.
Note You must install ADO to work with ADO connection strings. Microsoft installs ADO with the Microsoft Office package. If your system cannot open a store, update your ADO installation. The "Microsoft Data Access Components" is on the Microsoft homepage. If you want to access Oracle data stores, you must install an Oracle client.
Note To open this dialog box in DIAdem NAVIGATOR, select Settings»Data Stores»Create Data Store»SQL.


Data Store Properties [VI Logger]

Use this dialog box to specify the parameters for linking DIAdem to a VI logger database.

Settings

Data from MAX | Specifies that you get the data the way you view it in the MAX. DIAdem also registers later name changes.
Folder | Specifies that you get the data as it exists in the database. DIAdem does not register later name changes.
Time interval enable | Specifies that DIAdem only provides data from the specified time interval.
Start time | Specifies the start time of the interval.
End time | Specifies the end time of the interval.
Subintervals | Specifies the subintervals DIAdem divides the time interval into.
Interval width (sec) | Size of the subintervals in seconds.
Use relative time | Specifies that DIAdem specifies the period of time.
Note You require administrator rights to open VI Logger data stores.
Note To open this dialog box in DIAdem NAVIGATOR, select Settings»Data Stores»Create Data Store»VI Logger.


Data Store Properties [Files]

Use this dialog box to select and to display folders or files from the file system.

Settings

Alias name | Specifies an alias for selected folders or files. Double-click a folder to generate an alias. You also can specify an alias by selecting a line and pressing <F2>.
Path | Shows the path to the selected folder or to the selected file.
Add Elements | Copies a folder or a file into the list of data stores to be opened.
Add Path | Opens the dialog box where you define the path to a folder or to a file.
Delete Elements | Deletes the selected line from the list of data stores to be opened.
Extended | Opens the dialog box where you specify other properties.
Note To open this dialog box in DIAdem NAVIGATOR, select Settings»Data Stores»Create Data Store»Files.


Save As

Use this dialog box to save data.

Settings

Filename | Specifies the name of the data set.
File type | Specifies the type of the data set.
Save | Saves the entire internal data store.
Only elements selected in the Data Portal | Saves the channels selected in the Data Portal.
Note If you do not save data in the TDM format, the saved data might be incomplete. For example, group information or properties might be lost.
If you save data in the CSV format, DIAdem saves only the channels of the first channel group. If you want to save channels from other groups, you must save these channels selectively. If you save data in the CSV format, DIAdem uses a tabulator as the separator.
Note To open this dialog box in DIAdem NAVIGATOR, select File»Save As.


dBase Data

Use this dialog box to specify the settings for importing dBase data.

Note If you want to import dBase files, you must first register the GPI-DLL GFSDBASE.DLL or the associated DataPlugin.

Settings

General comment | Specifies the general comment for the data set.
Name | Specifies the name of the data set.
Author | Specifies the author of the data set.
Note DIAdem only imports the numeric data in the file.


Additional Information for DIF File

Use this dialog box to specify the settings for importing DIF data.

Note To import DIF data, you must register the GPI-DLL GFSDIF.DLL first. Refer to Registering GPI Extensions for more information about GPI-DLLs.
Note You can transfer the comments of a DIF file directly into the data set properties and the channel properties. If a DIF file contains the optional set types LABEL, COMMENT and DISPLAYUNITS, DIAdem moves these set types into the channel name, the channel comment, and the channel unit.

Settings

Total number of channels | Shows the number of channels in the DIF file.
Maximum number of values per channel | Shows the maximum number of values in a channel.
General comment | Specifies the line that contains the general comments about the data set.
Name | Specifies the line that contains the name of the data set.
Author | Specifies the line that contains the author of the data set.
Channel names | Specifies the line that contains the channel name.
Channel comment | Specifies the line that contains the channel comments.
Units | Specifies the line that contains the units.
Column with date and/or time | Specifies the column that contains the time values.
Format for time/date | Specifies the time format used.


Import Wizard for TEAC Files

Use this dialog box to specify the settings for importing TEAC data.

Note To import TEAC files you must first register the GPI-DLL GFSTEAC.DLL or the associated DataPlugin.

Settings

Name | Specifies the name of the data channel. You also can select the data channels to be imported.
Comment | Specifies the comment for the data channel.
Unit | Specifies the data channel unit.
Reduce number of values to be transferred for all channels | Enables the reduced loading mode for the data.
Reduction mode | Specifies the value that DIAdem loads from an interval.
Interval definition | Specifies the parameters for defining the interval.
First value | Specifies the first data channel value that is loaded.
Last value | Specifies the last data channel value that is loaded.
No. of intervals | Specifies the number of intervals.
Interval width | Specifies how many values an interval contains.
Select All | Specifies that DIAdem imports all data channels.
Delete All | Specifies that DIAdem does not import any data channels.